//TimeChoicePanel.java
//Umberto Ravaioli
import java.awt.*;
import java.applet.*;
import java.lang.*;  
import java.util.*;


public class TimeChoicePanel extends Panel { 
	public Button button1, button2, button3;
        public boolean IsButtonOne, IsButtonTwo, IsButtonThree;
	
	private static final Color bgcolor = new Color(236,236,221);
	private static final Color tinta = new Color(236,236,221);
	final Font labfont = new Font("Sanserif",Font.PLAIN,10);
    
	//private static final Color bgcolor = Color.lightGray;
	//private static final Color tinta = new Color(235,235,235);
	
	public TimeChoicePanel(){
		super();
		setLayout(null);
		setBackground(bgcolor);
		
		button1 = new Button("Incident");
		button2 = new Button("Reflected");
                button3 = new Button("Total");
		add(button1); add(button2); add(button3);
		button1.setFont(labfont);
                button2.setFont(labfont);
                button3.setFont(labfont);
                button1.setBounds(7,0,50,15);
                button2.setBounds(7,16,50,15);
                button3.setBounds(7,31,50,15);
                
                IsButtonOne = false;
                IsButtonTwo = false;
                IsButtonThree = true; 
	}
        
	public void paint(Graphics g){
            g.setColor(Color.red);
	    if(IsButtonOne){
                g.fillRect(0,5,4,4);
            }
            else if(IsButtonTwo){
                g.fillRect(0,21,4,4);
            }
            else if(IsButtonThree){
                g.fillRect(0,36,4,4);
            }
	}
	
} // TimeChoicePanel.java
